# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Text/CSV.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Nagios-Object
%define upstream_version 0.21.20

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_9

Summary:    Perl objects to represent Nagios configuration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Nagios/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data/Dumper.pm)
BuildRequires: perl(List/Compare.pm)
BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(Scalar/Util.pm)
BuildRequires: perl(Test/Exception.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/NoWarnings.pm)
BuildRequires: perl(Module/Build.pm)
BuildArch: noarch
Source44: import.info

%description
This module contains the code for creating perl objects to represent any of
the Nagios objects. All of the perl classes are auto-generated at
compile-time, so it's pretty trivial to add new attributes or even entire
objects. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc META.yml ChangeLog README
%perl_vendor_privlib/*
/usr/bin/config_status_demo.pl
/usr/bin/decode_flags.pl
/usr/bin/parse.pl
/usr/bin/statusdat_demo.pl
/usr/bin/test_configuration.pl
/usr/share/man/man1/config_status_demo.pl.1*
/usr/share/man/man1/decode_flags.pl.1*
/usr/share/man/man1/parse.pl.1*
/usr/share/man/man1/statusdat_demo.pl.1*
/usr/share/man/man1/test_configuration.pl.1*



%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.21.20-alt2_9
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.21.20-alt2_8
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.21.20-alt2_7
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.21.20-alt2_6
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.21.20-alt2_5
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.21.20-alt2_4
- rebuild to get rid of unmets

* Wed Jun 25 2014 Igor Vlasenko <viy@altlinux.ru> 0.21.20-alt1_4
- update by mgaimport

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.21.20-alt1_3
- update by mgaimport

* Thu Nov 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.21.20-alt1_2
- mga update

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.21.20-alt1_1
- mga update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.21.19-alt1_1
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.21.16-alt1_4
- converted for ALT Linux by srpmconvert tools

